### Method

# EDataServer SourceCredentialsProvider ref_registry

since: 3.16

#### Declaration [src]

    GObject*
    e_source_credentials_provider_ref_registry (
      ESourceCredentialsProvider* provider
    )

#### Description [src]

Returns refenrenced registry associated with this `provider`.

Available since: 3.16

#### Return value

Type: `GObject`

Reference registry associated with this `provider`. Unref it with `g_object_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.